# Authentication

The Make API requires authentication of the API requests with your API tokens or your OAuth 2.0 connection. If your requests are not authenticated, the Make API will return an authentication error.

## Authentication token

To authenticate your API request, send your API token in the following HTTP `header` parameter:

```http
Authorization: Token 12345678-12ef-abcd-1234-1234567890ab
```

The authentication token always contains information about the access to the API resources. The authentication token access is defined with API scopes. If you want to learn about Make API scopes, continue to the [Make API scopes overview](https://developers.make.com/api-documentation/authentication/api-scopes-overview).

To learn how to create and manage your API token, go to the [creating](https://developers.make.com/api-documentation/authentication/create-authentication-token) and [management](https://developers.make.com/api-documentation/authentication/authentication-managing) sections.

## OAuth 2.0 connection

As an alternative to using an authentication token, you can request an OAuth 2.0 connection to access resources on the Make platform. OAuth 2.0 access is defined with API scopes. To learn more about this connection type and to request access, continue to the [requesting-an-oauth-2.0-client](https://developers.make.com/api-documentation/authentication/requesting-an-oauth-2.0-client "mention") section.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.make.com/api-documentation/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
